## bosh 0.6

=== debian/changelog ===
bosh (0.6-13) unstable; urgency=medium

  * Specify the expected C dialect explicitly and pass -std=gnu17 to CC
    (Closes: #1096389)
  * debian/rules: Build enabling all hardening flags
  * Declare compliance with Debian policy 4.7.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 Sep 2025 23:48:23 +0200

bosh (0.6-12) unstable; urgency=medium

  * Avoid accessing internal ncurses structures (fixes FTBFS)
    Thanks to Sven Joachim (Closes: #1057545)
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * Declare smoke-test autopkgtest as superficial (Closes: #971452)
  * debian/control: Switch Build-Depends to libncurses-dev
  * Declare compliance with Debian policy 4.6.2
  * debian/control: Use HTTPS transport protocol for Homepage URL
  * Use HTTPS transport protocol in watch URL
  * Update copyright years for debian/* packaging files
  * debian/copyright: Use HTTPS transport protocol for Source field URL

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Dec 2023 21:13:19 +0100

bosh (0.6-11) unstable; urgency=medium

  * Fix "multiple definition of" instances causing FTBFS with GCC 10
    (Closes: #957053)
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * Update copyright years for debian/* packaging files
  * debian/watch: Bump format to version 4.
    Use @PACKAGE@, @ANY_VERSION@ and @ARCHIVE_EXT@ substitutions.
  * Bump Debhelper compat level to 13
  * Declare compliance with Debian policy 4.5.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Apr 2020 11:45:00 +0200

bosh (0.6-10) unstable; urgency=medium

  * Add patch to configure.in to allow override of CFLAGS
  * Don't pass --enable-debug to configure which enables as well -DDEBUG

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 16:12:37 +0100

bosh (0.6-9) unstable; urgency=medium

  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Replace home-made GitLab CI with the standard Salsa pipeline
  * configure: pass --enable-debug to build with -DDEBUG -g
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 14:43:12 +0100

bosh (0.6-8) unstable; urgency=medium

  * Add an initial Gitlab CI config file
  * autopkgtests: Only check in small smoke-test if bosh --help is successful
  * Declare compliance with Debian policy 4.1.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 24 May 2018 17:49:07 +0200

bosh (0.6-7) unstable; urgency=medium

  * debian/control: Add Vcs-Browser and Vcs-Git fields
  * Bump Debhelper compat level to 11
  * Update copyright format for compliance with copyright-format 1.0
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.1.3
  * Set Rules-Requires-Root to no
  * Use HTTPS transport protocol for Bug-Debian URLs in patches
  * Drop explicit Build-Depends on autotools-dev.
    Since we switch to Debhelper compat level 11, the autoreconf sequence is
    enabled by default for debhelper and the Build-Depends can be dropped.
  * Drop not needed lintian-overrides
  * Add (very) simple smoke test for autopkgtest

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 24 Feb 2018 17:23:35 +0100

bosh (0.6-6) unstable; urgency=low

  * Update my email address
  * debian/control: Drop the DM-Upload-Allowed control field.
  * Add fix-spelling-errors-in-manpage.patch patch.
    Fix some spelling errors in manpage for bosh.
    Thanks to A. Costa <agcosta@gis.net> for the bugreport and the patch.
    (Closes: #652004)
  * Update debian/copyright file.
    Update copyright years for debian/* packaging stanza.
  * Bump Standards-Version to 3.9.2
  * Rename debian/docs file to debian/bosh.docs
  * Add lintian-overrides for the examples files.
    Examples files emit a example-unusual-interpreter lintian warning. This
    is a false-positive in this case as bosh should be used as the
    interpreter in these examples.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 14 Dec 2011 08:09:56 +0100

bosh (0.6-5) unstable; urgency=low

  * debian/control: Fix long description of package refering to bosh
    configuration files and fix typo in shebang. Thanks to Davide Prina
    for spotting this (Closes: #594922).
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 31 Aug 2010 10:59:07 +0200

bosh (0.6-4) unstable; urgency=low

  * Convert to '3.0 (quilt)' package source format. Drop quilt usage in
    debian/rules and drop Build-Depends on quilt in debian/control.
  * Refresh debian/copyright to the revision 135 of current poposal for
    machine readable copyright file in DEP5.
  * Bump Standards-Version to 3.8.4 (no changes).
  * Refresh patch headers following DEP3 proposal.
  * Drop not needed debian/dirs file to create usr/bin directory.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 13 Mar 2010 17:15:00 +0100

bosh (0.6-3) unstable; urgency=low

  * Add patch add-status-bar-description.patch to add a description of
    the bosh status bar at the bottom (Closes: #531216).
  * debian/control: Add DM-Upload-Allowed field.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 31 May 2009 21:09:29 +0200

bosh (0.6-2) unstable; urgency=low

  * Do not use wrong absolute path to lsof in example "bops".
  * debian/rules: Do not set DH_VERBOSE.
  * debian/rules: simplify makefile using dh tiny makefile.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 17 May 2009 12:45:16 +0200

bosh (0.6-1) unstable; urgency=low

  * Initial release (Closes: #519413)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 01 May 2009 14:00:00 +0200
