=== debian/control ===
Source: bosh
Section: utils
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper-compat (= 13), libncurses-dev
Standards-Version: 4.7.2
Homepage: https://bosh.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/carnil/bosh
Vcs-Git: https://salsa.debian.org/carnil/bosh.git
Rules-Requires-Root: no

Package: bosh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: browse output of processes
 bosh stands for browsable output shell. This is a bit of a
 misnomer because it isn't really a shell. What is does is
 store the output of a specified program in a buffer, and
 provides a simple curses interface to browse this buffer.
 Actions can be configured which can make use of the
 contents of the currently selected line.
 .
 Commands and actions are stored in bosh configuration files.
 These can include shebang line (#!/usr/bin/bosh) so that the
 configuration can just be run from the command-line.
