=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Specify the expected C dialect explicitly
# Starting with gcc-15, the compiler defaults to C23, which is way more strict
# with function prototypes and pointer types. The code is not ready for that
# yet, so specify the expected C dialect explicitly, by passing -std=gnu17.
# See https://bugs.debian.org/1096389
export DEB_CFLAGS_MAINT_PREPEND = -std=gnu17

%:
	dh $@
