=== debian/watch ===
version=4
https://sf.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
